<template>
    <el-card style="width: 100%;" shadow="never">
      <el-row class="c-user" v-for="(user,index) in userList" :key="index">
          <el-col :span="2">
              <el-avatar shape="circle" :size="50" :src="user.avater" />
          </el-col>
          <el-col :span="19" class="c-text-cont">
          <div class="t-name">{{ user.name}}</div>
          <div class="t-comt">{{ user.comment}}</div>
          <div class="t-foot" style="display: flex;">
            <div>获赞:{{ user.up }}</div>
            <div style="margin-left: 10px;">粉丝:{{ user.fans }}</div>
        </div>
          </el-col>
          <el-col :span="3">
              <el-button type="primary" round>关注</el-button>
              <!-- <el-button type="info" round>已关注</el-button> -->
          </el-col>
      </el-row>
      <el-row class="t-prompt flexs">
          <div class="p-prompt">没有更多数据了</div>
      </el-row>
    </el-card>
  </template>
  
  <script lang="ts" setup>
  import { reactive, ref } from "vue";
  const userList = reactive([
          {
              name:'枫原万叶',
              avater:'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
              comment:'海鸥别叫了，从今天起，我也是漂泊者啊',
              up:2,
              fans:1,
          },
          {
              name:'枫原',
              avater:'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
              comment:'深山踏红叶，耳畔闻鹿鸣',
              up:2,
              fans:1,
          },
          {
              name:'叶宝单推人',
              avater:'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg',
              comment:'叶宝YYDS!',
              up:2,
              fans:1,
          },
          ])
  </script>
  
  <style lang="less" scoped>
  .c-user{
      padding: 10px;
      border-bottom: 1px #dcdcdc solid;
      .c-text-cont{
          display: flex;
          justify-content: center;
          flex-direction: column;
          align-content: center;
          .t-comt{
              color: #999;
              padding: 5px 0;
              font-size: 15px;
          }
      }
  }
  .t-prompt{
      height: 60px;
      width: 100%;
      .p-prompt{
          color: #999;
          font-size: 18px;
          letter-spacing: 1px;
      }
  }
  </style>